=== debian/changelog ===
ros-noetic-gpp-plugin (0.1.0-1focal) focal; urgency=high

  * Autogenerated, no changelog for this version found in CHANGELOG.rst.

 -- Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>  Wed, 27 Jan 2021 10:00:55 -0000

ros-noetic-gpp-plugin (0.0.1-1focal) focal; urgency=high

  * use default values
  * use mbf-msgs for mbf related constants
  * update documentation
  * add gpp_update_map
  * add gpp_prune_path example
  * formatting
  * update docs
  * disable spam in the test
  * Dima/dev
  * adjust doc
  * update documentation
  * Dima/tags
  * fix in simulation
  * adjust doc
  * extend the PluginGroup
  * rename ManagerInterface to PluginGroup
  * adjust doc
  * add missing include
  * add tags
  * add doc for the build step
  * Dima/docs
  * adjust constants
  * add doc
  * fix func-check
  * add doc
  * unify clang-format file
  * add licence
  * extend test
  * cleanup
  * refactor runPlugins
  * add warning
  * Dima/add mbf interface
  * move util function back to cpp
  * formating
  * clean up
  * fix bugs
  * flip default interface
  * add mbf-interface support
  * enable ci
  * disable problematic test
  * fix test
  * add tests
  * formatting
  * init
  * Contributors: Dima Dorezyuk

 -- Dima Dorezyuk <dmitrij.dorezyuk@hotmail.de>  Wed, 27 Jan 2021 00:00:00 -0000
